Subject: Re: [PATCH] remove redundant r4k_blast_icache() calls

From: Ralf Baechle <[email-masked]>
Date: Tue, 14 Nov 2006 17:00:06 +0000

On Tue, Aug 22, 2006 at 09:15:47PM +0900, Atsushi Nemoto wrote:

> @@ -385,7 +382,6 @@ static inline void local_r4k_flush_cache
>  		return;
>  
>  	r4k_blast_dcache();
> -	r4k_blast_icache();
>  
>  	/*
>  	 * Kludge alert.  For obscure reasons R4000SC and R4400SC go nuts if we

R4000 / R4400 SC and MC indexed S-cache ops also affected the primary
caches so this code ends unnecessarily blowing away the D-cache twice.

  Ralf